<!-- Page Heading -->
<div class="row">
    <div class="col-lg-12">
        <h1 class="page-header">
            <?=$title?> <small><?=$description?></small>
        </h1>
        <ol class="breadcrumb">
            <li class="active">
                <i class="fa fa-table"></i> <a href="<?=path('atables')?>">Tables</a> / <a href="<?=basePath()?>/admin/tables/fields/<?=$tableid?>">Fields</a> / <?=$title?>
            </li>
        </ol>
    </div>
</div>

<?php if (isset($flash['error'])): ?>
        <div class="alert alert-danger alert-dismissable"><?php echo $flash['error'] ?></div>
<?php endif;
      if (isset($flash['message'])): ?>
        <div class="alert alert-success alert-dismissable"><?php echo $flash['message'] ?></div>
<?php endif; ?>

<div class="row">
    <div class="col-lg-12">
        <div class="alert alert-info alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <i class="fa fa-info-circle"></i>  <strong>TIP:</strong> Fill the form to add a new field, "Field Type" is the type of entity that you want to use in your forms.
        </div>
    </div>
</div>
<!-- /.row -->

<form class="form-horizontal" method="post">
  <div class="form-group">
    <label for="destTable" class="col-sm-2 control-label">Destination table</label>
    <div class="col-sm-10">
        <select name="destTable" id="destTable" class="form-control" onchange="kpField();" required>
            <?php
            $i=1;
            $fkGen = null;
            foreach ($tables as $key => $value) {
            ?>
            <option value="<?=$value['name']?>"><?=$value['win_name']?></option>
            <?php 
            if($i==1){
                $fkGen=substr($tablename, 0, 3).'_'.substr($value['name'], 0, 3).'_fk';
            }
            $i++;
            } ?>
        </select>
        <span class="help-block">Select destination table for relation.</span>
    </div>
  </div>
  <div class="form-group">
    <label for="primaryKey" class="col-sm-2 control-label">Primary Key in Destination Table</label>
    <div class="col-sm-10">
        <input type="hidden" class="form-control" id="originTable" name="originTable" value="<?=$tablename?>" required>
        <input type="text" class="form-control" id="primaryKey" name="primaryKey" placeholder="Autogenerated" value="<?=$fkGen?>" readonly required>
    </div>
  </div>
  <div class="form-group">
    <label for="deleteRule" class="col-sm-2 control-label">On Delete Method</label>
    <div class="col-sm-10">
        <select name="deleteRule" id="deleteRule" class="form-control">
            <option value="CASCADE" selected>Cascade</option>
            <option value="RESTRICT">Delete restricted</option>
            <option value="SET NULL">Set null</option>
        </select>
    </div>
  </div>
  <div class="form-group">
    <label for="updateRule" class="col-sm-2 control-label">On Update Method</label>
    <div class="col-sm-10">
        <select name="updateRule" id="updateRule" class="form-control">
            <option value="CASCADE" selected>Cascade</option>
            <option value="RESTRICT">Delete prohibited</option>
            <option value="SET NULL">Set null</option>
        </select>
    </div>
  </div>
    
  <div class="form-group">
    <div class="col-sm-offset-2 col-sm-10">
      <button type="submit" class="btn btn-lg btn-primary">Create relation</button>
    </div>
  </div>
</form>

<script type="text/javascript">     
        function kpField(){
            var nameOri = $('#originTable').val();
            var nameDes = $('#destTable').val();
            $('#primaryKey').val(nameOri.substring(0, 3)+'_'+nameDes.substring(0, 3)+'_fk');            
        }
</script>